Subject: RE: Flow Label

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Fri, 11 Jan 2002 16:14:44 +0100

In message <[email-masked]>, Brian E 
  > Carpenter writes:
  > >Indeed. All of this is the same for the DSCP actually, and the
  > >assumption is that operators will protect themselves with
  > >admission control.
  > >
  > >(See sections 7.1 of RFC 2474 and 6.1 of RFC 2475 for 
  > detailed discussion)
  > >
  > 
  > Right.  The question now is how to do that.  I was about to agree 
  > strongly with the "must send as zero if not a flow, routers 
  > must not modify"
  > until I started thinking along these lines.  What should a border 
  > router do with a packet that doesn't meet its constraints?  
  > I only see 
  > three choices:  reset the flow label to something locally 
  > acceptable, 
  > drop the packet, or tunnel.  But dropping the packet means 
  > that flow 
  > labels can only be used for flows that stay within a 
  > particular flow 
  > label domain, and the tunneling path leads to madness.  
  > (Well, perhaps 
  > to MPLS, but I don't think we want to go down that rathole 
  > now.)  I'm 
  > forced to conclude that we have two choices:  either we 
  > give up on flow 
  > labels entirely, or we permit them to be modified en route.
  > 

=> But as Robert Elz mentioned in a previous email, this 
is the same argument for IP addresses really. All we can 
do is mandate it in the standard, and if routers don't
follow it, then they're breaking communication. 
I realise AH solves the problem for IP addresses, but
how often is it used? or how often is it used specifically
to protect addresses ?
In addition AH is used for e2e integrity, not for 
intermediate routers. Doing something similar for 
intermediate routers is clearly...difficult.

Hesham

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------